/**
 * 表单提交记录表
 * @param db
 * @param DataTypes
 * @returns {Model|void|*}
 */
module.exports = (db, DataTypes) => {
    return db.define("formsubmitrecord", {
        template_id: DataTypes.INTEGER(11),///模板id
        templatelink_id: DataTypes.INTEGER(11),//模板链接id
        form_id: DataTypes.INTEGER(11),//表单id
        record_status: DataTypes.STRING(60),//记录状态 1未读 2已读 3无效
        record_status_name: DataTypes.STRING(60),//记录状态名称
        templatelink_snapshot:DataTypes.JSON,//模板链接快照
        record_content:DataTypes.JSON,//记录内容
    }, {
        paranoid: true,//假的删除
        underscored: true,
        version: true,
        freezeTableName: true,
        timestamps: true,
        updated_at: true,
        tableName: 'c_form_submit_record',
        validate: {},
        indexes: []
    });
}

